Bug 739308 - [abrt] glx-utils-7.10-5.20101028.fc16: XESetEventToWire: Process /usr/bin/glxinfo was killed by signal 11 (SIGSEGV)
Summary: [abrt] glx-utils-7.10-5.20101028.fc16: XESetEventToWire: Process /usr/bin/glx...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa-demos
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f8a711e5958cbb5ac1a873f36fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 12:40 UTC by Corey T.
Modified: 2013-02-13 14:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:57:29 UTC


Attachments (Terms of Use)

Description Corey T. 2011-09-17 12:40:49 UTC
abrt version: 2.0.5
backtrace_rating: 0
cmdline:        glxinfo -l
comment:        Open System Info from System Settings and crash is triggered.
crash_function: XESetEventToWire
executable:     /usr/bin/glxinfo
kernel:         3.1.0-0.rc5.git0.0.fc16.x86_64
reason:         Process /usr/bin/glxinfo was killed by signal 11 (SIGSEGV)
time:           Thu Sep 15 20:39:30 2011
uid:            1000
xsession_errors: 

backtrace:
:[New LWP 2297]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `glxinfo -l'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x000000358142f04a in XESetEventToWire () from /usr/lib64/libX11.so.6
:
:Thread 1 (Thread 0x7f09fdb19740 (LWP 2297)):
:#0  0x000000358142f04a in XESetEventToWire () from /usr/lib64/libX11.so.6
:No symbol table info available.
:#1  0x000000359922a774 in ?? () from /usr/lib64/libGL.so.1
:No symbol table info available.
:#2  0x0000003599227758 in ?? () from /usr/lib64/libGL.so.1
:No symbol table info available.
:#3  0x0000003599227bad in glXChooseVisual () from /usr/lib64/libGL.so.1
:No symbol table info available.
:#4  0x000000000040207e in ?? ()
:No symbol table info available.
:#5  0x0000000000401388 in ?? ()
:No symbol table info available.
:#6  0x000000357d4215bd in __libc_start_main () from /lib64/libc.so.6
:No symbol table info available.
:#7  0x0000000000401b39 in ?? ()
:No symbol table info available.
:#8  0x00007fffecac8848 in ?? ()
:No symbol table info available.
:#9  0x000000000000001c in ?? ()
:No symbol table info available.
:#10 0x0000000000000002 in ?? ()
:No symbol table info available.
:#11 0x00007fffecac9af9 in ?? ()
:No symbol table info available.
:#12 0x00007fffecac9b01 in ?? ()
:No symbol table info available.
:#13 0x0000000000000000 in ?? ()
:No symbol table info available.
:From                To                  Syms Read   Shared Object Library
:                                        No          linux-vdso.so.1
:0x000000357e834340  0x000000357e85152c  Yes (*)     /usr/lib64/libGLEW.so.1.6
:0x000000357f004800  0x000000357f056278  Yes (*)     /usr/lib64/libGLU.so.1
:0x0000003599224f70  0x0000003599259d08  Yes (*)     /usr/lib64/libGL.so.1
:0x000000357e403ef0  0x000000357e443ee8  Yes (*)     /lib64/libm.so.6
:0x000000358141dce0  0x00000035814a97ec  Yes (*)     /usr/lib64/libX11.so.6
:0x0000003582003460  0x000000358200e31c  Yes (*)     /usr/lib64/libXext.so.6
:0x000000357d41ee30  0x000000357d5557f0  Yes (*)     /lib64/libc.so.6
:0x0000003589c5a440  0x0000003589cc30b6  Yes (*)     /usr/lib64/libstdc++.so.6
:0x000000357ec028a0  0x000000357ec120b8  Yes (*)     /lib64/libgcc_s.so.1
:0x0000003584000a90  0x000000358400160c  Yes (*)     /usr/lib64/libXdamage.so.1
:0x00000035854013e0  0x000000358540450c  Yes (*)     /usr/lib64/libXfixes.so.3
:0x0000003595e00e10  0x0000003595e03bfc  Yes (*)     /usr/lib64/libXxf86vm.so.1
:0x0000003598602e60  0x00000035986075ac  Yes (*)     /usr/lib64/libdrm.so.2
:0x000000357d8056b0  0x000000357d810af8  Yes (*)     /lib64/libpthread.so.0
:0x000000357dc00de0  0x000000357dc01918  Yes (*)     /lib64/libdl.so.2
:0x0000003581c086c0  0x0000003581c13c0c  Yes (*)     /usr/lib64/libxcb.so.1
:0x000000357d000b20  0x000000357d01a18a  Yes (*)     /lib64/ld-linux-x86-64.so.2
:0x000000357e002280  0x000000357e005708  Yes (*)     /lib64/librt.so.1
:0x0000003581800dd0  0x0000003581801b2c  Yes (*)     /usr/lib64/libXau.so.6
:(*): Shared library is missing debugging information.
:$1 = 0x0
:No symbol table is loaded.  Use the "file" command.
:rax            0x0	0
:rbx            0x1837010	25391120
:rcx            0x357d7ac210	229738463760
:rdx            0x359922a9d0	230202452432
:rsi            0xecac83e7	3970728935
:rdi            0x1837010	25391120
:rbp            0xffffffffecac848f	0xffffffffecac848f
:rsp            0x7fffecac8350	0x7fffecac8350
:r8             0x18384b8	25396408
:r9             0x8f9	2297
:r10            0x1	1
:r11            0x246	582
:r12            0x359922a9d0	230202452432
:r13            0x358173d8f8	229805119736
:r14            0x358173d8f0	229805119728
:r15            0x0	0
:rip            0x358142f04a	0x358142f04a <XESetEventToWire+138>
:eflags         0x10282	[ SF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function XESetEventToWire:
:   0x000000358142efc0 <+0>:	mov    %rbx,-0x20(%rsp)
:   0x000000358142efc5 <+5>:	mov    %rbp,-0x18(%rsp)
:   0x000000358142efca <+10>:	mov    %rdi,%rbx
:   0x000000358142efcd <+13>:	mov    %r12,-0x10(%rsp)
:   0x000000358142efd2 <+18>:	mov    %r13,-0x8(%rsp)
:   0x000000358142efd7 <+23>:	sub    $0x28,%rsp
:   0x000000358142efdb <+27>:	mov    0x968(%rdi),%rax
:   0x000000358142efe2 <+34>:	test   %rdx,%rdx
:   0x000000358142efe5 <+37>:	mov    %rdx,%r12
:   0x000000358142efe8 <+40>:	cmove  0x309fa8(%rip),%r12        # 0x3581738f98
:   0x000000358142eff0 <+48>:	mov    %esi,%ebp
:   0x000000358142eff2 <+50>:	test   %rax,%rax
:   0x000000358142eff5 <+53>:	je     0x358142f040 <XESetEventToWire+128>
:   0x000000358142eff7 <+55>:	callq  *(%rax)
:   0x000000358142eff9 <+57>:	mov    0x968(%rbx),%rdx
:   0x000000358142f000 <+64>:	movslq %ebp,%rbp
:   0x000000358142f003 <+67>:	add    $0xa8,%rbp
:   0x000000358142f00a <+74>:	mov    0x8(%rbx,%rbp,8),%r13
:   0x000000358142f00f <+79>:	mov    %r12,0x8(%rbx,%rbp,8)
:   0x000000358142f014 <+84>:	test   %rdx,%rdx
:   0x000000358142f017 <+87>:	je     0x358142f01f <XESetEventToWire+95>
:   0x000000358142f019 <+89>:	mov    %rbx,%rdi
:   0x000000358142f01c <+92>:	callq  *0x8(%rdx)
:   0x000000358142f01f <+95>:	mov    %r13,%rax
:   0x000000358142f022 <+98>:	mov    0x8(%rsp),%rbx
:   0x000000358142f027 <+103>:	mov    0x10(%rsp),%rbp
:   0x000000358142f02c <+108>:	mov    0x18(%rsp),%r12
:   0x000000358142f031 <+113>:	mov    0x20(%rsp),%r13
:   0x000000358142f036 <+118>:	add    $0x28,%rsp
:   0x000000358142f03a <+122>:	retq   
:   0x000000358142f03b <+123>:	nopl   0x0(%rax,%rax,1)
:   0x000000358142f040 <+128>:	movslq %esi,%rbp
:   0x000000358142f043 <+131>:	add    $0xa8,%rbp
:=> 0x000000358142f04a <+138>:	mov    0x8(%rdi,%rbp,8),%r13
:   0x000000358142f04f <+143>:	mov    %r12,0x8(%rdi,%rbp,8)
:   0x000000358142f054 <+148>:	jmp    0x358142f01f <XESetEventToWire+95>
:End of assembler dump.

build_ids:
:7343d35696ce251688ece0a26e457e61ca805cfd
:96d618421416810fa0d3e21ea427d5b1e63ad6f2
:2b9f922b148d00dba2809849e22f96758963bc24
:ca9735c10a2a697cade81c361e0bc4ab880df14d
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:022da052975093368daac7c4e8e95101bfc78495
:4c842320387ff7f6f91b7842b223c16518be909f
:51d12f84a05395827b0ca5eacba3836455450042
:30c7b170ed4b1425360c727a4d3634b657ae4e60
:49b317bbb2da7be48ba3b947e23703ba6397dbf4
:91689252818532ec13597b6528d38be93b2706c4
:1faa4e1b0ae67bd30ee556f4f196d3849982ed68
:1c6a95451ee19617be5abea3d121f0226d21ddda
:ef25f71a40ad1a00ed1040a09ace53d1bb40f2ab
:163b323da65b708418226eb5fa8b057c731d1475
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:baa8b6700debb4a3b6fa10e629b5eccdf234a1fd
:d1ad3bed3c4a51ccdcf66e141830aefdefb87a84
:6ded1e35fc23c8f146775eca776fc07a492f5656
:1a665a6d3c554e8f119acc6a3a17ce62c522771b

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/lib64/libm-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/lib64/libpthread-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1313534199
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1313534234
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.26-1.fc16.x86_64 (Fedora Project) 1313534253
:/usr/bin/glxinfo glx-utils-7.10-5.20101028.fc16.x86_64 (Fedora Project) 1313534278
:/lib64/libc-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/usr/lib64/libGLEW.so.1.6.0 libGLEW-1.6.0-1.fc16.x86_64 (Fedora Project) 1313534278
:/lib64/librt-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/lib64/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc16.x86_64 (Fedora Project) 1315787618
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1313534234
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1313534235
:/usr/lib64/libGL.so.1.2 mesa-libGL-7.11-4.fc16.x86_64 (Fedora Project) 1315787673
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1313534234
:/usr/lib64/libGLU.so.1.3.071100 mesa-libGLU-7.11-4.fc16.x86_64 (Fedora Project) 1315788115
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.1-9.fc16.x86_64 (Fedora Project) 1315787670
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1313534234
:/lib64/ld-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315787656
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1313534199

maps:
:00400000-00406000 r-xp 00000000 fd:01 161442                             /usr/bin/glxinfo
:00605000-00607000 rw-p 00005000 fd:01 161442                             /usr/bin/glxinfo
:01837000-01859000 rw-p 00000000 00:00 0                                  [heap]
:357d000000-357d022000 r-xp 00000000 fd:01 136186                         /lib64/ld-2.14.90.so
:357d221000-357d222000 r--p 00021000 fd:01 136186                         /lib64/ld-2.14.90.so
:357d222000-357d223000 rw-p 00022000 fd:01 136186                         /lib64/ld-2.14.90.so
:357d223000-357d224000 rw-p 00000000 00:00 0 
:357d400000-357d5a6000 r-xp 00000000 fd:01 136187                         /lib64/libc-2.14.90.so
:357d5a6000-357d7a6000 ---p 001a6000 fd:01 136187                         /lib64/libc-2.14.90.so
:357d7a6000-357d7aa000 r--p 001a6000 fd:01 136187                         /lib64/libc-2.14.90.so
:357d7aa000-357d7ab000 rw-p 001aa000 fd:01 136187                         /lib64/libc-2.14.90.so
:357d7ab000-357d7b1000 rw-p 00000000 00:00 0 
:357d800000-357d817000 r-xp 00000000 fd:01 136188                         /lib64/libpthread-2.14.90.so
:357d817000-357da16000 ---p 00017000 fd:01 136188                         /lib64/libpthread-2.14.90.so
:357da16000-357da17000 r--p 00016000 fd:01 136188                         /lib64/libpthread-2.14.90.so
:357da17000-357da18000 rw-p 00017000 fd:01 136188                         /lib64/libpthread-2.14.90.so
:357da18000-357da1c000 rw-p 00000000 00:00 0 
:357dc00000-357dc02000 r-xp 00000000 fd:01 136275                         /lib64/libdl-2.14.90.so
:357dc02000-357de02000 ---p 00002000 fd:01 136275                         /lib64/libdl-2.14.90.so
:357de02000-357de03000 r--p 00002000 fd:01 136275                         /lib64/libdl-2.14.90.so
:357de03000-357de04000 rw-p 00003000 fd:01 136275                         /lib64/libdl-2.14.90.so
:357e000000-357e007000 r-xp 00000000 fd:01 136280                         /lib64/librt-2.14.90.so
:357e007000-357e207000 ---p 00007000 fd:01 136280                         /lib64/librt-2.14.90.so
:357e207000-357e208000 r--p 00007000 fd:01 136280                         /lib64/librt-2.14.90.so
:357e208000-357e209000 rw-p 00008000 fd:01 136280                         /lib64/librt-2.14.90.so
:357e400000-357e483000 r-xp 00000000 fd:01 136189                         /lib64/libm-2.14.90.so
:357e483000-357e682000 ---p 00083000 fd:01 136189                         /lib64/libm-2.14.90.so
:357e682000-357e683000 r--p 00082000 fd:01 136189                         /lib64/libm-2.14.90.so
:357e683000-357e684000 rw-p 00083000 fd:01 136189                         /lib64/libm-2.14.90.so
:357e800000-357e861000 r-xp 00000000 fd:01 155393                         /usr/lib64/libGLEW.so.1.6.0
:357e861000-357ea60000 ---p 00061000 fd:01 155393                         /usr/lib64/libGLEW.so.1.6.0
:357ea60000-357ea66000 rw-p 00060000 fd:01 155393                         /usr/lib64/libGLEW.so.1.6.0
:357ea66000-357ea6a000 rw-p 00000000 00:00 0 
:357ec00000-357ec15000 r-xp 00000000 fd:01 136276                         /lib64/libgcc_s-4.6.1-20110908.so.1
:357ec15000-357ee14000 ---p 00015000 fd:01 136276                         /lib64/libgcc_s-4.6.1-20110908.so.1
:357ee14000-357ee15000 rw-p 00014000 fd:01 136276                         /lib64/libgcc_s-4.6.1-20110908.so.1
:357f000000-357f06b000 r-xp 00000000 fd:01 155392                         /usr/lib64/libGLU.so.1.3.071100
:357f06b000-357f26a000 ---p 0006b000 fd:01 155392                         /usr/lib64/libGLU.so.1.3.071100
:357f26a000-357f26c000 r--p 0006a000 fd:01 155392                         /usr/lib64/libGLU.so.1.3.071100
:357f26c000-357f26d000 rw-p 0006c000 fd:01 155392                         /usr/lib64/libGLU.so.1.3.071100
:3581400000-3581539000 r-xp 00000000 fd:01 136277                         /usr/lib64/libX11.so.6.3.0
:3581539000-3581738000 ---p 00139000 fd:01 136277                         /usr/lib64/libX11.so.6.3.0
:3581738000-358173e000 rw-p 00138000 fd:01 136277                         /usr/lib64/libX11.so.6.3.0
:3581800000-3581802000 r-xp 00000000 fd:01 136231                         /usr/lib64/libXau.so.6.0.0
:3581802000-3581a02000 ---p 00002000 fd:01 136231                         /usr/lib64/libXau.so.6.0.0
:3581a02000-3581a03000 rw-p 00002000 fd:01 136231                         /usr/lib64/libXau.so.6.0.0
:3581c00000-3581c1b000 r-xp 00000000 fd:01 136274                         /usr/lib64/libxcb.so.1.1.0
:3581c1b000-3581e1a000 ---p 0001b000 fd:01 136274                         /usr/lib64/libxcb.so.1.1.0
:3581e1a000-3581e1b000 rw-p 0001a000 fd:01 136274                         /usr/lib64/libxcb.so.1.1.0
:3582000000-3582011000 r-xp 00000000 fd:01 136477                         /usr/lib64/libXext.so.6.4.0
:3582011000-3582211000 ---p 00011000 fd:01 136477                         /usr/lib64/libXext.so.6.4.0
:3582211000-3582212000 rw-p 00011000 fd:01 136477                         /usr/lib64/libXext.so.6.4.0
:3584000000-3584002000 r-xp 00000000 fd:01 137165                         /usr/lib64/libXdamage.so.1.1.0
:3584002000-3584201000 ---p 00002000 fd:01 137165                         /usr/lib64/libXdamage.so.1.1.0
:3584201000-3584202000 rw-p 00001000 fd:01 137165                         /usr/lib64/libXdamage.so.1.1.0
:3585400000-3585405000 r-xp 00000000 fd:01 137161                         /usr/lib64/libXfixes.so.3.1.0
:3585405000-3585605000 ---p 00005000 fd:01 137161                         /usr/lib64/libXfixes.so.3.1.0
:3585605000-3585606000 rw-p 00005000 fd:01 137161                         /usr/lib64/libXfixes.so.3.1.0
:3589c00000-3589ce8000 r-xp 00000000 fd:01 138585                         /usr/lib64/libstdc++.so.6.0.16
:3589ce8000-3589ee8000 ---p 000e8000 fd:01 138585                         /usr/lib64/libstdc++.so.6.0.16
:3589ee8000-3589ef0000 r--p 000e8000 fd:01 138585                         /usr/lib64/libstdc++.so.6.0.16
:3589ef0000-3589ef2000 rw-p 000f0000 fd:01 138585                         /usr/lib64/libstdc++.so.6.0.16
:3589ef2000-3589f07000 rw-p 00000000 00:00 0 
:3595e00000-3595e05000 r-xp 00000000 fd:01 146301                         /usr/lib64/libXxf86vm.so.1.0.0
:3595e05000-3596004000 ---p 00005000 fd:01 146301                         /usr/lib64/libXxf86vm.so.1.0.0
:3596004000-3596005000 rw-p 00004000 fd:01 146301                         /usr/lib64/libXxf86vm.so.1.0.0
:3598600000-359860a000 r-xp 00000000 fd:01 146297                         /usr/lib64/libdrm.so.2.4.0
:359860a000-3598809000 ---p 0000a000 fd:01 146297                         /usr/lib64/libdrm.so.2.4.0
:3598809000-359880a000 rw-p 00009000 fd:01 146297                         /usr/lib64/libdrm.so.2.4.0
:3599200000-359926e000 r-xp 00000000 fd:01 146302                         /usr/lib64/libGL.so.1.2
:359926e000-359946d000 ---p 0006e000 fd:01 146302                         /usr/lib64/libGL.so.1.2
:359946d000-3599477000 r--p 0006d000 fd:01 146302                         /usr/lib64/libGL.so.1.2
:3599477000-359947b000 rw-p 00077000 fd:01 146302                         /usr/lib64/libGL.so.1.2
:359947b000-359947d000 rw-p 00000000 00:00 0 
:7f09fdb19000-7f09fdb23000 rw-p 00000000 00:00 0 
:7f09fdb33000-7f09fdb35000 rw-p 00000000 00:00 0 
:7fffecaa9000-7fffecaca000 rw-p 00000000 00:00 0                          [stack]
:7fffecbff000-7fffecc00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Comment 1 Tore H. Larsen 2011-10-09 21:45:32 UTC
cc

Comment 2 Fedora End Of Life 2013-01-16 14:00:36 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 14:57:31 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.